:root{
    --primary-button-color: #0d6efd;
}

#main-section {
    display: flex;
    flex-direction: column;
    width: 100vw;
    /* height: calc(100vh - (var(--navbar-height) + var(--navbar-margin-top))); */
    background-color: #ece9e4;
}

/***** General Section Classes *****/

.section-container {
    display: flex;
    width: 100%;
    /* height: 100%; */
    height: calc(100vh - (var(--navbar-height) + var(--navbar-margin-top)));
}

.section-title,
.section-content {
    display: flex;
    flex-direction: column;
}

.section-title {
    width: calc(100vw / 3);
}

.section-content{
    flex: 1;
}

/****** Welcome Section *****/
#welcome-section {
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 100px;
}

#welcome-title {
    align-items: center;
    justify-content: center;
    gap: 20px;
    max-width: 400px;
}

#head-shot {
    height: 200px;
    width: auto;
    border-radius: 50%;
    background-color: var(--glass-color);
    border: 1px solid var(--glass-border);
}

#welcome-title-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#welcome-title-text h1 {
    font-family: Georgia, 'Times New Roman', Times, serif;
    text-align: center;
    font-size: 1.75rem;
}

#welcome-content {
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 40px;
    max-width: 400px;
}

#welcome-content-text p {
    text-align: center;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

#welcome-content-links {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 30px;
}

#welcome-content-links img {
    height: 40px;
    width: auto;
    border-radius: 50%;
    background-color: var(--glass-color);
    border: 1px solid var(--glass-border);
    padding: 5px;
}

/***** Skills Section *****/
#skills-section {
    flex-direction: row;
    gap: 100px;
    padding: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
}

#skills-title {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    max-width: 400px;
    padding: 10px;
    gap: 10px;
}

#skills-title h1 {
    width: 100%;
    text-align: center;
    font-family: var(--main-font);
    flex: 0 0 auto;
}

#skills-section p {
    font-family: var(--main-font);
    text-align: center;
    font-size: 0.85rem;
    flex: 0 0 auto;
}

#skills-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100%;
    padding: 20px;
    gap: 20px;
    flex-wrap: nowrap;
    overflow-y: auto;
    -webkit-overflow-scrolling: touch;
}

.skill-card {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 400px;
    height: 200px;
    background-color: var(--glass-color);
    border: 2px solid var(--glass-border);
    border-radius: 10px;
    gap: 10px;
}

.skill-title {
    display: flex;
    justify-content: center;
    align-items: center;
}

.skill-title-border {
    height: 2px;
    width: 50%;
    background-color: var(--primary-text-color);
    margin-bottom: 10px;
}

.skill-title h3 {
    font-family: var(--main-font);
    text-align: center;
}

.languages-container {
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.languages-container img {
    height: 50px;
    width: auto;
    display: block;
}

.skill-border {
    width: 95%;
    border-bottom: 2px solid var(--glass-border);
}

.language-border {
    height: 95%;
    flex: 0 0 auto;
    border-right: 2px solid var(--glass-border);
    padding: 0 10px;
}

/**** projects Section *****/
#projects-section {
    display: flex;
    flex-direction: column;
    gap: 40px;
}

#projects-title {
    width: 100%;
    flex: 0 0 auto;
    text-align: center;
    font-family: var(--main-font);
    padding: 60px 20px 20px 20px;
    gap: 0px;
}

.projects-title h1, p {
    font-family: var(--main-font);
    width: 100%;
    text-align: center;
}

.projects-title p {
    font-size: .85rem;
}

#projects-container {
    flex: 1;
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: center;
    /* align-items: center; */
    gap: 20px;
    flex-wrap: nowrap;
    overflow-x: auto;
    -webkit-overflow-scrolling: touch;
    padding: 20px;
}

.project-card {
    width: 300px;
    padding: 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    flex-shrink: 0;
    flex-basis: 300px;
    max-height: 400px;
}

.project-title,
.project-img,
.project-description,
.projectl-links {
    display: flex;
    width: 100%;
    justify-content: center;
    align-items: center;
}

.project-border {
    width: 95%;
    border-bottom: 3px solid var(--glass-border);
}

.project-img img {
    height: 100px;
    width: auto;
    display: block;
}

.project-description p {
    font-family: var(--main-font);
    font-size: .75rem;
    text-align: center;
}

.project-links {
    gap: 40px;
}

.project-links a {
    text-decoration: none !important;
    padding: 5px;
    background-color: var(--primary-button-color);
    color: var(--primary-background-color);
    border-radius: 10px;
    border: 1px solid var(--primary-button-color);
    font-family: var(--main-font);
    font-size: 0.65rem;
}

/***** For smaller screens *****/
@media (max-width: 762px) {
    /* #main-section {
        min-height: calc(100vh - (var(--navbar-height) + var(--navbar-margin-top)));
    } */

    .section-container {
        height: auto;
        min-height: calc(100vh - (var(--navbar-height) + var(--navbar-margin-top)));
    }

    #projects-section,
    #skills-section,
    #welcome-section {
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 60px;
        padding: 20px;
        height: auto;
        min-height: calc(100vh - (var(--navbar-height) + var(--navbar-margin-top)));
    }

    .section-content,
    .section-title {
        width: 100%;
    }

    #projects-title,
    #projects-container,
    #skills-title,
    #skills-container,
    #welcome-title,
    #welcome-content {
        width: 100%;
        height: auto;
        flex: 0 0 auto;
    }

    #projects-container {
        flex-wrap: wrap;
        overflow-x: visible; 
        -webkit-overflow-scrolling: auto;
        justify-content: center;
    }

    .project-card {
        width: 100%;
        margin: 10px;
    }

}





/* #welcome-section {
    display: none !important;
} */
/* #projects-section {
    display: none !important;
} */
/* #skills-section {
    display: none !important;
} */